Index: trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1530)
@@ -73,4 +73,5 @@
       USE time_phylmdz_mod, only: itau_phy,day_ref,annee_ref,nday
       USE logic_mod, only: iflag_trac,moyzon_ch,moyzon_mu
+      USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
       IMPLICIT none
 c======================================================================
Index: trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 1530)
@@ -41,5 +41,4 @@
       USE write_field_phy
        IMPLICIT none
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "clesphys.h" 
Index: trunk/LMDZ.TITAN/libf/phytitan/soil.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/soil.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/soil.F	(revision 1530)
@@ -48,5 +48,4 @@
       use dimphy
       IMPLICIT NONE
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "dimsoil.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/sources.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sources.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/sources.F	(revision 1530)
@@ -23,6 +23,4 @@
          use dimphy
          IMPLICIT NONE
-#include "dimensions.h"
-#include "microtab.h"
 #include "YOMCST.h"
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/sugwd.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sugwd.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/sugwd.F	(revision 1530)
@@ -76,7 +76,4 @@
       use dimphy
       IMPLICIT NONE
-
-#include "dimensions.h"
-#include "paramet.h"
 
 #include "YOEGWD.h"
Index: trunk/LMDZ.TITAN/libf/phytitan/tgmdat_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/tgmdat_mod.F90	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/tgmdat_mod.F90	(revision 1530)
@@ -1,7 +1,5 @@
 MODULE  TGMDAT_MOD
       IMPLICIT NONE
-      include "dimensions.h"
 
-      INTEGER,PARAMETER :: NLAYER=llm,NLEVEL=NLAYER+1
       REAL,SAVE :: PI=3.14159265358979323846
 ! RGAS IS THE UNIVERSAL GAS CONSTANT IN UNITS OF: M SEC-2 AMU K-1 KM
Index: trunk/LMDZ.TITAN/libf/phytitan/ustarhb.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/ustarhb.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/ustarhb.F	(revision 1530)
@@ -18,5 +18,4 @@
       use dimphy
       IMPLICIT none
-#include "dimensions.h"
 #include "YOMCST.h"
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/vdif_kcay.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/vdif_kcay.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/vdif_kcay.F	(revision 1530)
@@ -8,5 +8,4 @@
       use dimphy
       IMPLICIT NONE
-#include "dimensions.h"
 c.......................................................................
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/yamada.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/yamada.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/yamada.F	(revision 1530)
@@ -8,5 +8,4 @@
       use dimphy
       IMPLICIT NONE
-#include "dimensions.h"
 c.......................................................................
 c
Index: trunk/LMDZ.TITAN/libf/phytitan/yamada4.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/yamada4.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/yamada4.F	(revision 1530)
@@ -9,5 +9,4 @@
       use dimphy
       IMPLICIT NONE
-#include "dimensions.h"
 #include "YOMCST.h"
 c.......................................................................
Index: trunk/LMDZ.TITAN/libf/phytitan/zenang.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/zenang.F	(revision 1525)
+++ trunk/LMDZ.TITAN/libf/phytitan/zenang.F	(revision 1530)
@@ -26,5 +26,4 @@
       use dimphy
       IMPLICIT none
-#include "dimensions.h"
 #include "YOMCST.h"
 #include "comorbit.h"
